% 3D graphics 
% Visualization of function
%      f(x,y)=-x exp(-x^2-y^2) pro x=-2:0.2:2 a y=-2:0.2:2
  figure(1); clf
    set(gcf,'Units','Normal','Position',[0,0.55,0.35,0.38]); 
  [X,Y]=meshgrid(-2:0.2:2);
  Z=-X.*exp(-X.^2-Y.^2);
  axes('Position',[0.05 0.05 0.4 0.8])
    meshc(X,Y,Z); 
    title('f(x,y)=-x*exp(-x^2-y^2)'); xlabel('x'); ylabel('y'); 
  axes('Position',[0.55 0.1 0.4 0.75])
    contour(X,Y,Z); 
    title('f(x,y)=-x*exp(-x^2-y^2)'); xlabel('x'); ylabel('y'); 

  MC=[0 0 1; 0 1 0; 1 0 0]; 
  colormap(MC)
  colorbar